/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<fcntl.h>
#include	<stdlib.h>
#include	"init.h"
#include	"long_char.h"
#include	"memory_routine.h"
#include	"xl.h"
#include	"utils.h"
#include	"svg2gb.h"
#include	"memory_debug.h"

int
submain(int argc,char ** argv)
{

	init_xl(INI_DONTWAITCHI);

	init_function(gblisp_top_env0,gblisp_top_env1,argc,argv);
	svg2gb_init();
	init_svg(gblisp_top_env0);
	init_g(gblisp_top_env0);
	init_path(gblisp_top_env0);
	init_text(gblisp_top_env0);
	init_OutputPP(gblisp_top_env0);
	init_information(gblisp_top_env0);
	init_ConnectPath(gblisp_top_env0);
	init_mark(gblisp_top_env0);
	init_foreignObject(gblisp_top_env0);
	init_switch(gblisp_top_env0);

	xl_setup_file(argc,argv);

	svg2gb_clean();
	return 0;
}


int
_main(int argc,char ** argv)
{
	return submain(argc,argv);
}
